local StoreCurrencyInitMessage = BaseClass("StoreCurrencyInitMessage", SFSBaseMessage)
local base = SFSBaseMessage
local Localization = CS.GameEntry.Localization
local OnCreate = function(self, storeCountry, storeCurrency)
  base.OnCreate(self)
  if not string.IsNullOrEmpty(storeCountry) then
    self.sfsObj:PutUtfString("storeCountry", storeCountry)
  end
  self.sfsObj:PutUtfString("storeCurrency", storeCurrency)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if not errCode then
    local storeCountry = t.storeCountry
    local storeCurrency = t.storeCurrency
    if not string.IsNullOrEmpty(storeCountry) or not string.IsNullOrEmpty(storeCurrency) then
      LuaEntry.Player:UpdateStoreInfo(storeCountry, storeCurrency)
    end
  end
end
StoreCurrencyInitMessage.OnCreate = OnCreate
StoreCurrencyInitMessage.HandleMessage = HandleMessage
return StoreCurrencyInitMessage
